# Uses of Interface
org.lwjgl.util.ReadableRectangle

Packages that use ReadableRectangle
Package
Description
org.lwjgl.util

## Uses of ReadableRectangle in org.lwjgl.util

Classes in org.lwjgl.util that implement ReadableRectangle
Modifier and Type
Class
Description
`final class`
`Rectangle`
A 2D integer Rectangle class which looks remarkably like an AWT one.
Methods in org.lwjgl.util with parameters of type ReadableRectangle
Modifier and Type
Method
Description
`void`
Rectangle.`add(ReadableRectangle r)`
Adds a `Rectangle` to this `Rectangle`.
`boolean`
Rectangle.`contains(ReadableRectangle r)`
Checks whether or not this `Rectangle` entirely contains the specified `Rectangle`.
`Rectangle`
Rectangle.`intersection(ReadableRectangle r, Rectangle dest)`
Computes the intersection of this `Rectangle` with the specified `Rectangle`.
`boolean`
Rectangle.`intersects(ReadableRectangle r)`
Determines whether or not this `Rectangle` and the specified `Rectangle` intersect.
`void`
Rectangle.`setBounds(ReadableRectangle r)`
`void`
WritableRectangle.`setBounds(ReadableRectangle src)`
Sets the bounds of the rectangle
`WritableRectangle`
Rectangle.`union(ReadableRectangle r, WritableRectangle dest)`
Computes the union of this `Rectangle` with the specified `Rectangle`.
Constructors in org.lwjgl.util with parameters of type ReadableRectangle
Modifier
Constructor
Description
``
`Rectangle(ReadableRectangle r)`
Constructor for Rectangle.